Skip to main content
POST
Split job

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Project UID

jobUid
string
required

Job UID

Body

application/json

Split configuration

byDocumentPart
boolean

Can be used only for PowerPoint files

partCount
integer<int32>

Split into this number of parts

partSize
integer<int32>

Split into parts of this many segments each

segmentOrdinals
integer<int64>[]

Split after the segments with these ordinals (1-based)

Required array length: 1 - 2147483647 elements
splitAllWorkflowSteps
boolean

Split in all workflow steps (default: false)

wordCount
integer<int32>

Split into parts of approximately this many words each

Response

OK

jobs
object[]

Job parts affected by the operation